RDKit: RDKit::v2::SmilesParse Namespace Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Classes | Functions
RDKit::v2::SmilesParse Namespace Reference

## Classes
struct | SmartsParserParams
class | SmilesParseException
struct | SmilesParserParams

## Functions
RDKIT_SMILESPARSE_EXPORT std::unique_ptr< RDKit::RWMol > | MolFromSmiles (const std::string &smi, const SmilesParserParams &params=SmilesParserParams())
RDKIT_SMILESPARSE_EXPORT std::unique_ptr< RDKit::RWMol > | MolFromSmarts (const std::string &sma, const SmartsParserParams &params=SmartsParserParams())
RDKIT_SMILESPARSE_EXPORT std::unique_ptr< RDKit::Atom > | AtomFromSmiles (const std::string &smi)
RDKIT_SMILESPARSE_EXPORT std::unique_ptr< RDKit::Bond > | BondFromSmiles (const std::string &smi)
RDKIT_SMILESPARSE_EXPORT std::unique_ptr< RDKit::Atom > | AtomFromSmarts (const std::string &sma)
RDKIT_SMILESPARSE_EXPORT std::unique_ptr< RDKit::Bond > | BondFromSmarts (const std::string &sma)

## Function Documentation

## ◆ AtomFromSmarts()

RDKIT_SMILESPARSE_EXPORT std::unique_ptr< RDKit::Atom > RDKit::v2::SmilesParse::AtomFromSmarts | ( | const std::string & | sma | ) |

References AtomFromSmarts(), and RDKIT_SMILESPARSE_EXPORT.

Referenced by AtomFromSmarts().

## ◆ AtomFromSmiles()

RDKIT_SMILESPARSE_EXPORT std::unique_ptr< RDKit::Atom > RDKit::v2::SmilesParse::AtomFromSmiles | ( | const std::string & | smi | ) |

References AtomFromSmiles(), and RDKIT_SMILESPARSE_EXPORT.

Referenced by AtomFromSmiles().

## ◆ BondFromSmarts()

RDKIT_SMILESPARSE_EXPORT std::unique_ptr< RDKit::Bond > RDKit::v2::SmilesParse::BondFromSmarts | ( | const std::string & | sma | ) |

References BondFromSmarts(), and RDKIT_SMILESPARSE_EXPORT.

Referenced by BondFromSmarts().

## ◆ BondFromSmiles()

RDKIT_SMILESPARSE_EXPORT std::unique_ptr< RDKit::Bond > RDKit::v2::SmilesParse::BondFromSmiles | ( | const std::string & | smi | ) |

References BondFromSmiles(), and RDKIT_SMILESPARSE_EXPORT.

Referenced by BondFromSmiles().

## ◆ MolFromSmarts()

RDKIT_SMILESPARSE_EXPORT std::unique_ptr< RDKit::RWMol > RDKit::v2::SmilesParse::MolFromSmarts | ( | const std::string & | sma,
|  | const SmartsParserParams & | params = SmartsParserParams() )

References MolFromSmarts(), and RDKIT_SMILESPARSE_EXPORT.

Referenced by MolFromSmarts(), and RDKit::operator""_smarts().

## ◆ MolFromSmiles()

RDKIT_SMILESPARSE_EXPORT std::unique_ptr< RDKit::RWMol > RDKit::v2::SmilesParse::MolFromSmiles | ( | const std::string & | smi,
|  | const SmilesParserParams & | params = SmilesParserParams() )

References MolFromSmiles(), and RDKIT_SMILESPARSE_EXPORT.

Referenced by MolFromSmiles(), and RDKit::operator""_smiles().